System.Runtime.Serialization 4.0.0.0 System.Object

Session objects (this class together with ) enable dynamic string atomization that can span an entire conversation. These session objects manage dynamic dictionaries. For more information about dynamic dictionaries see .

Due to asynchronous processing, it is possible for messages that arrive synchronously to be processed in a different order than the order in which they were sent. String atomization that spans messages must ensure the messages are processed in the original order or the atomized strings must be conveyed using a different mechanism.

To use them, you create a session object and pass it to the constructor or initializer for a binary XML reader or writer.

To reuse a dynamic dictionary pass the same session object to all subsequent readers and writers.

The session object can be reset to allow pooling.

Enables using a dynamic dictionary to compress common strings that appear in a message and maintain state.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of this class.

- Method
  4.0.0.0
  System.Void To be added.

  Clears out the internal collections.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.